hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-8789) Add max RPC version to meta-region-server zk node.
Date Sat, 06 Jul 2013 21:55:49 GMT

    [ https://issues.apache.org/jira/browse/HBASE-8789?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13701419#comment-13701419
] 

Hudson commented on HBASE-8789:
-------------------------------

Integrated in HBase-TRUNK #4222 (See [https://builds.apache.org/job/HBase-TRUNK/4222/])
    HBASE-8789 Add max RPC version to meta-region-server zk node. (Revision 1500308)

     Result = FAILURE
eclark : 
Files : 
* /hbase/trunk/hbase-client/src/main/java/org/apache/hadoop/hbase/zookeeper/MasterAddressTracker.java
* /hbase/trunk/hbase-client/src/main/java/org/apache/hadoop/hbase/zookeeper/MetaRegionTracker.java
* /hbase/trunk/hbase-protocol/src/main/java/org/apache/hadoop/hbase/protobuf/generated/ZooKeeperProtos.java
* /hbase/trunk/hbase-protocol/src/main/protobuf/ZooKeeper.proto

                
> Add max RPC version to meta-region-server zk node.
> --------------------------------------------------
>
>                 Key: HBASE-8789
>                 URL: https://issues.apache.org/jira/browse/HBASE-8789
>             Project: HBase
>          Issue Type: Bug
>          Components: IPC/RPC, Zookeeper
>    Affects Versions: 0.98.0, 0.95.1
>            Reporter: Elliott Clark
>            Assignee: Elliott Clark
>             Fix For: 0.98.0, 0.95.2
>
>         Attachments: HBASE-8789-0.patch, HBASE-8789-1.patch
>
>
> For clients to boot strap themselves they need to know the max rpc version that the meta
server will accept.  We should add that to the zookeeper node.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message